1. Social publishing
Highperformr API
  • Introduction
  • Contacts
    • Unified Data API - async contact enrichment
      POST
    • Bulk fetch contacts by IDs
      POST
    • Get contacts by segment
      POST
    • Get contact by ID
      GET
    • Update contact
      PATCH
    • Delete contact
      DELETE
    • Upsert contact into a source
      POST
    • Bulk upsert contacts for source
      POST
    • Unique values of one field for a filtered contact set
      POST
  • Schema
    • Get contact schema
      GET
    • Get discovery search contact schema
      GET
    • Get discovery search company schema
      GET
    • Get verified discovery contact filter schema
      GET
    • Get verified discovery company filter schema
      GET
    • Get options for field
      GET
    • Verified discovery autocomplete suggestions
      GET
    • Get discovery search options for field
      GET
    • Verified discovery static option lists
      GET
  • Discovery search
    • Find contacts v2
    • Find companies v2
    • Find verified contacts
    • Find verified companies
  • Jobs
    • Get job status by id
  • Social publishing
    • Create draft post
      POST
    • List posts (drafts, scheduled, published)
      POST
    • Schedule or publish posts (bulk)
      POST
    • Schedule a LinkedIn comment on an external post
      POST
    • Configure cross-account auto-repost
      POST
    • Upload media file (multipart)
      POST
    • Assemble chunked uploads into one file
      POST
    • Import media from a public URL
      POST
  • Integrations (social)
    • List social integrations (filter)
  • Segments
    • Type-ahead search for segments
    • Create segment
    • Get segment by ID
    • Update segment
    • Delete segment
    • Clone segment
  • Sources
    • Bulk upsert sources
    • Bulk fetch sources
    • Bulk update sources
    • Create source
    • Pull contacts from source
    • Get source by ID
    • Update source
  • Credits
    • Get workspace credit balance
Login
  1. Social publishing

Upload media file (multipart)

POST
/v1/media/upload
Multipart upload of a single file part. Returns fileName (storage path) and a short-lived readUrl (signed URL). Persist fileName in POST/PATCH /posts media[].
The part’s MIME type must be one of MediaUploadMimeType (see schema components). Other types return 400.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params multipart/form-dataRequired

Responses

🟢200
application/json
Stored object metadata
Bodyapplication/json

🟠400
🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app.highperformr.ai/api/v1/media/upload' \
--header 'x-api-key: <api-key>' \
--form 'file=@""'
Response Response Example
200 - Example 1
{
    "fileName": "string",
    "fileSizeInBytes": 0,
    "contentType": "string",
    "readUrl": "http://example.com"
}
Modified at 2026-08-06 14:14:04
Previous
Configure cross-account auto-repost
Next
Assemble chunked uploads into one file
Built with